Skip to main content

Read transaction

Requests to this endpoint will return the attributes of the specified transaction. To read a manual transaction, use the manual transaction guid in the path as the transactionGuid.

Enhanced transaction data may be requested using the includes[] query parameter. Accepted values: category, counterparties, merchant, repeating_transaction. For more information, see the Optional Enhancement Query Parameter guide.

GET
/users/{user_guid}/transactions/{transaction_guid}

Path Parameters

FieldRequiredType

user_guid

The unique identifier for a user, beginning with the prefix USR-.

Required
String

transaction_guid

The unique id for a transaction.

Required
String

Query Parameters

FieldRequiredType

includes

Enrich transaction responses with additional metadata. Pass one or more values as an array to selectively include data.

Accepted values: category, counterparties, merchant, repeating_transaction.

Example: ?includes[]=category&includes[]=merchant

For more information, see the Optional Enhancement Query Parameter guide.

Optional
Array

Header Parameters

FieldRequiredType

Accept-Version

MX Platform API version.

Required
String
Loading...